printer help please

Getting your soundcard to work, using Debian on non-i386 hardware, etc

printer help please

Postby geraldw321 » 2017-05-12 22:38

hello there well im back i want too use debian and i have trouble getting my hp officejet 5740 printer running. im trying too install hplip-3.17.4.run. i get these errors :

DEPENDENCY AND CONFLICT RESOLUTION
----------------------------------
error: A required dependency 'pyqt4-dbus (PyQt 4 DBus - DBus Support for PyQt4)' is still missing.
error: A required dependency 'pyqt4 (PyQt 4- Qt interface for Python (for Qt version 4.x))' is still missing.


AND

RE-CHECKING DEPENDENCIES
------------------------
error: A required dependency 'pyqt4-dbus (PyQt 4 DBus - DBus Support for PyQt4)' is still missing.
error: A required dependency 'pyqt4 (PyQt 4- Qt interface for Python (for Qt version 4.x))' is still missing.
error: Installation cannot continue without these dependencies.
error: Please manually install this dependency and re-run this installer.

im not a linux wiz. i looked in synaptic package manager searching for pyqt4 but not sure if what i need is there(lots of stuff turned up) so can anyone walk me thru installing these so i can re run hplip

thank you GW
geraldw321
 
Posts: 7
Joined: 2016-12-05 20:14

Re: printer help please

Postby Dai_trying » 2017-05-12 22:43

This should pull them both in for you
Code: Select all
sudo apt-get install python-qt4 python-qt4-dbus
Dai_trying
 
Posts: 287
Joined: 2016-01-07 12:25

Re: printer help please

Postby stevepusser » 2017-05-12 23:39

Is there any reason you can't use the hplip 3.16.11 already in jessie-backports? (see backports.org)

I searched the Google and it says it needs at least 3.14.10, so Jessie's 3.14.6 is just a little too old, but 3.16.11 should be fine.

Steve (currently trying to backport 3.17.4 from Debian Experimental)
The MX Linux repositories: Backports galore! If we don't have something, just ask and we'll try--we like challenges. New packages: AzPainter 2.0.6, Pale Moon 27.4.0, Liquorix kernel 4.11-9, mpv 0.25.0, Kodi 17.3, Ksnip 1.3.1, Mesa 13.0.6
User avatar
stevepusser
 
Posts: 8411
Joined: 2009-10-06 05:53


Return to Hardware

Who is online

Users browsing this forum: No registered users and 2 guests

fashionable